# Setup Database and Seed data

## Prequestics
```
1. postgres/postgis imaged downloaded
2. docker installed
3. flyway docker image installed

Note: If you do not have postgres/postgis image downloaded refer https://registry.hub.docker.com/r/postgis/postgis/
```

### Flyway configuration
```
flyway.url=jdbc:postgresql://localhost:5432/ir_demo
flyway.user=postgres
flyway.password=mysecretpassword

The above configuration will configure flyway to use database instance on port 5432 and connect to the database ir_demo
```

### Create A postgres Docker container to run ir-emitter database instance

`docker run --name ir_emitter-postgres -p 5432:5432 -v /your/absolute/path/iremitter-app/database:/tmp/database -v /your/absolute/path/tekgile/projects/data:/var/lib/postgresql/data -e POSTGRES_PASSWORD=mysecretpassword -d postgis/postgis`

> Note: Here we use different port (5432) to run database instance

> Incase you want to run different port rather than 5432, use -p {YOUR_PORT}:5432; Eg: -p 5001:5432 This will run postgres db on 5001 port.

### Create a new Database 

`docker exec -it ir_emitter-postgres psql -U postgres -c 'CREATE DATABASE <DATABASE NAME>;'`

> Note: Replace \<DATABASE NAME> with your database name

### To build Table, index, views and run other DDL commands

`docker run --net="host" --rm -v your/absolute/path/database/sql:/flyway/sql -v /your/absolute/path/database/conf:/flyway/conf --name flyway-container  flyway/flyway migrate`

> Note: Replace flyway-container with your flyway-container name.

### Seed data

`docker exec -it ir_emitter-postgres psql -U postgres -d <DATABASE NAME> -f /tmp/database/scripts/import.sql`

> Note: Replace \<DATABASE NAME> with your database name

> Note: Make sure create a folder 'input' under database and place your csv file there before running seed query.
