const db = require('../utils/db');
const { Sequelize } = require('sequelize');

const Catalog2020 = db.define(
  'catalog_2020',
  {
    // catalog_id: {
    //   type: Sequelize.UUID,
    //   allowNull: false,
    //   defaultValue: Sequelize.UUIDV4,
    //   primaryKey: true
    // },
    index: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    id: {
      type: Sequelize.INTEGER,
      allowNull: true,
      unique: 'catalog_2020_id_key',
      primaryKey: true
    },
    month: {
      type: Sequelize.TEXT,
      allowNull: true
    },
    rh: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    area: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    areacorr: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    rhcorr: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    rhht: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    bcm: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    t_min: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    t_mean: {
      type: Sequelize.REAL,
      allowNull: true
    },
    t_max: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    ellipticity: {
      type: Sequelize.REAL,
      allowNull: true
    },
    pct: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    geom: {
      type: Sequelize.GEOMETRY('POINT', 0),
      allowNull: true
    },
    nobs: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    ndtct: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    npass: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    lat_full20: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    lon_full20: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    id2019: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    id2018: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    id2017: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    id2016: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    id2015: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    id2020prel: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    iso: {
      type: Sequelize.STRING,
      allowNull: true
    },
    type: {
      type: Sequelize.STRING,
      allowNull: true
    },
    lon: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    lat: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    created_dt: {
      type: Sequelize.DATE,
      allowNull: false,
      defaultValue: Sequelize.fn('now')
    },
    modified_dt: {
      type: Sequelize.DATE,
      allowNull: false,
      defaultValue: Sequelize.fn('now')
    }
  },
  {
    tableName: 'catalog_2020',
    timestamps: false
  }
);

module.exports = Catalog2020;
