const db = require('../utils/db');
const { Sequelize } = require('sequelize');

const History = db.define(
    'history',
    {
        id: {
            autoIncrement: true,
            type: Sequelize.INTEGER,
            allowNull: false,
            primaryKey: true
        },
        updated_dt: {
            type: Sequelize.DATE,
            allowNull: true,
            defaultValue: Sequelize.Sequelize.fn('now')
        },
        table: {
            type: Sequelize.TEXT,
            allowNull: true
        },
        operation: {
            type: Sequelize.TEXT,
            allowNull: true
        },
        key_id: {
            type: Sequelize.UUID,
            allowNull: true
        },
        after: {
            type: Sequelize.JSONB,
            allowNull: true
        },
        before: {
            type: Sequelize.JSONB,
            allowNull: true
        },
        modified_by: {
            type: Sequelize.TEXT,
            allowNull: true
        }
    },
    {
        tableName: 'history'
    }
);

module.exports = History;
