const db = require('../utils/db');
const { Sequelize } = require('sequelize');

const MultiyearMonthly = db.define(
  'multiyear_monthly',
  {
    // catalog_id: {
    //   type: Sequelize.INTEGER,
    //   allowNull: false,
    //   primaryKey: true
    // },
    id: {
      type: Sequelize.INTEGER,
      allowNull: true,
      primaryKey: true
    },
    lat: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    lon: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    month: {
      type: Sequelize.DATE,
      allowNull: true
    },
    rh: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    area: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    areacorr: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    rhcorr: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    t_min: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    t_mean: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    t_max: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    ellipticity: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    pct: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    nobs: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    ndtct: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    npass: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    index: {
      type: Sequelize.INTEGER,
      allowNull: true
    },
    type: {
      type: Sequelize.STRING,
      allowNull: true
    },
    category: {
      type: Sequelize.STRING,
      allowNull: true
    },
    // id2021: {
    //   type: Sequelize.INTEGER,
    //   allowNull: true
    // },
    // id2020: {
    //   type: Sequelize.INTEGER,
    //   allowNull: true
    // },
    // id2019: {
    //   type: Sequelize.INTEGER,
    //   allowNull: true
    // },
    // id2018: {
    //   type: Sequelize.INTEGER,
    //   allowNull: true
    // },
    // id2017: {
    //   type: Sequelize.INTEGER,
    //   allowNull: true
    // },
    // id2016: {
    //   type: Sequelize.INTEGER,
    //   allowNull: true
    // },
    // id2015: {
    //   type: Sequelize.INTEGER,
    //   allowNull: true
    // },
    iso: {
      type: Sequelize.STRING,
      allowNull: true
    },
    country: {
      type: Sequelize.STRING,
      allowNull: true
    },
    bcm: {
      type: Sequelize.DOUBLE,
      allowNull: true
    },
    active: {
      type: Sequelize.SMALLINT,
      allowNull: true
    }
  },
  {
    tableName: 'multiyear_monthly',
    timestamps: false
  }
);

module.exports = MultiyearMonthly;
