/* eslint-disable no-underscore-dangle */
const DataTypes = require('sequelize').DataTypes;
const _Catalog2020 = require('./Catalog2020');
const _CatalogMultiyear = require('./CatalogMultiyear');
const _GeographyColumns = require('./GeographyColumns');
const _GeometryColumns = require('./GeometryColumns');
const _MultiyearAnnual = require('./MultiyearAnnual');
const _MultiyearMonthly = require('./MultiyearMonthly');

function initModels(sequelize) {
  const Catalog2020 = _Catalog2020(sequelize, DataTypes);
  const CatalogMultiyear = _CatalogMultiyear(sequelize, DataTypes);
  const GeographyColumns = _GeographyColumns(sequelize, DataTypes);
  const GeometryColumns = _GeometryColumns(sequelize, DataTypes);
  const MultiyearAnnual = _MultiyearAnnual(sequelize, DataTypes);
  const MultiyearMonthly = _MultiyearMonthly(sequelize, DataTypes);

  return {
    Catalog2020,
    CatalogMultiyear,
    GeographyColumns,
    GeometryColumns,
    MultiyearAnnual,
    MultiyearMonthly
  };
}
module.exports = initModels;
module.exports.initModels = initModels;
module.exports.default = initModels;
