const axios = require('axios');

module.exports = {
  // eslint-disable-next-line consistent-return
  get: async (req, res) => {
    try {
      const { lat, lon } = req.params;
      const response = await axios.get(
        // `https://eogmap.mines.edu/giree/detections/${lat}/${lon}`
        `http://eogdev.mines.edu:5000/lat_${lat}_lon_${lon}_vnf_series.json`
      );
      // res.status(200).json(response.data);
      // const { features, type } = response.data;

      if (typeof response.data === 'string') {
        response.data = JSON.parse(response.data);
      }
      const { features, type } = response.data;
      res.status(200).json({
        data: {
          features: features.map((feature) => {
            if (feature?.properties) {
              feature.properties.t_mean = feature.properties?.Temp_BB;
            }
            return feature;
          }),
          type
        },
        type: 'geojson'
      });
    } catch (error) {
      console.error(error);
      res.status(500).json(error);
    }
  }
};
