const Catalog2020 = require('../../../models/Catalog2020');

module.exports = {
  put: async (req, res) => {
    const fieldWhiteList = ['iso', 'type'];
    try {
      const payload = {};
      fieldWhiteList.forEach((field) => {
        if (Object.prototype.hasOwnProperty.call(req.body, field)) {
          payload[field] = req.body[field];
        }
      });
      const catalog = await Catalog2020.update(payload, {
        where: {
          id: req.params.f_id
        }
      });
      if (catalog === null || undefined) {
        res.status(200).json({
          data: null,
          message: 'unable to update the requested fId'
        });
      } else {
        res.status(200).json({
          data: catalog,
          message: 'Record Updated'
        });
      }
    } catch (err) {
      res.status(500).json({
        message: `Internal Server Error: ${err.message}`,
        success: false
      });
    }
  }
};
