const nodeMailer = require('../utils/sendmail');

module.exports = {
  post: async (req, res) => {
    try {
      const { emitterId, name, email, message } = req.body;
      const { TO_EMAIL_ADDRESS } = process.env;
      if (!email) {
        return res.status(400).json({
          message: 'Email address is missing'
        });
      }
      if (!message) {
        return res.status(400).json({
          message: 'No message'
        });
      }
      const info = await nodeMailer.sendMail({
        from: 'noreply@mines.edu',
        to: TO_EMAIL_ADDRESS,
        subject: `IR Emitters Feedback`,
        html: `
Name: ${name || 'Not provided'}<br>
Email: ${email || 'Not provided'}<br>
Emitter ID: ${emitterId || 'General'}<br>
Message: ${message || ''}
                `
      });

      if (info.messageId) {
        return res.status(200).json({
          message: 'Message sent successfully'
        });
      }
      return res.status(400).json({
        message: 'Error sending message'
      });
    } catch (err) {
      return res.status(500).json({
        message: err.message
      });
    }
  }
};
