const nodeMailer = require('../../utils/sendmail');

module.exports = {
  post: async (req, res) => {
    try {
      const { name, email, message, issueType } = req.body;
      const { USER_EMAIL_ID, TO_EMAIL_ADDRESS } = process.env;

      if (!USER_EMAIL_ID || !TO_EMAIL_ADDRESS) {
        return res.status(400).json({
          message: 'From email address or to email address is missing'
        });
      }

      const { id: feedbackId } = req.params;

      if (!message || !issueType) {
        return res.status(400).json({
          message: 'No message or issueType'
        });
      }

      const info = await nodeMailer.sendMail({
        from:  "noreply@mines.edu",
        to: TO_EMAIL_ADDRESS,
        subject: `IR Emitters Feedback`,
        html: `
  Name: ${name || 'Not provided'}<br>
  Email: ${email || 'Not provided'}<br>
  Emitter ID: ${feedbackId || 'General'}<br>
  Message: ${message || ''}
        `});

      if (info.messageId) {
        return res.status(200).json({
          message: 'message sent successfully'
        });
      }
      return res.status(400).json({
        message: 'error sending message'
      });
    } catch (err) {
      return res.status(400).json({
        message: err.message
      });
    }
  }
};
