/* eslint-disable global-require */
/* eslint-disable consistent-return */
/* eslint-disable no-restricted-syntax */
/* eslint-disable no-underscore-dangle */
const { Sequelize } = require('sequelize');

function _removeIdIfModelIsView({ models }) {
  for (const model in models) {
    if (model.toLowerCase().startsWith('view')) {
      models[model].removeAttribute('id');
    }
  }
  return models;
}

function connect(connection, { dialectModule, logging = false } = {}) {
  try {
    const sequalize = new Sequelize(
      `postgres://${connection.POSTGRES_USER}:${connection.POSTGRES_PASSWORD}@${
        connection.POSTGRES_HOST
      }:${connection.POSTGRES_PORT || 5432}/${connection.POSTGRES_DB}`,
      {
        dialectModule,
        dialectOptions: {
          typecast: false,
          useUTC: false
        },
        logging
      }
    );
    return sequalize;
  } catch (error) {
    console.log('Error:', error);
    process.exit(1);
  }
}

function _initModels(sequalize) {
  const initSequalizeModels = require('../models/init-models');
  return initSequalizeModels(sequalize);
}

function initModels(sequalize, config) {
  const { removeIdFromViewModel = true } = config;
  const models = _initModels(sequalize);
  return removeIdFromViewModel
    ? _removeIdIfModelIsView(sequalize, {
        models
      })
    : models;
}

module.exports = {
  Sequelize,
  connect,
  initModels
};
