import { combineReducers } from 'redux';
import { persistReducer } from 'redux-persist';
import storage from 'redux-persist/lib/storage';

import snackbarReducer from './slices/snackbar';
import menuReducer from './slices/menu';
import backgroundsReducer from './slices/backgrounds';
import layerReducer from './slices/layers';
import userReducer from './slices/user';
import dashboardReducer from './slices/dashboard';
import filtersReducer from './slices/filters';
import mapReducer from './slices/map';

const reducer = combineReducers({
  snackbar: snackbarReducer,
  menu: menuReducer,
  backgrounds: backgroundsReducer,
  layers: layerReducer,
  user: persistReducer(
    {
      key: 'user',
      storage,
      keyPrefix: 'IREm-'
    },
    userReducer
  ),
  dashboard: dashboardReducer,
  filters: filtersReducer,
  map: mapReducer
});

export default reducer;
