import { Typography } from '@mui/material';

export default function RestrictedAccess() {
  return (
    <>
      <Typography variant="h3" mb={3}>
        Restricted Access
      </Typography>
      <Typography variant="body2" mb={2}>
        The VIIRS Nightfire (VNF) digital data access will be transitioned to restricted access for
        organizations that have approved data user license agreements with EOG. Commercial users can
        also be approved, but will be expected to make annual payments to cover a portion of the VNF
        program costs.
      </Typography>
      <Typography variant="body2" mb={2}>
        The license agreement application for can be downloaded{' '}
        <a
          href="https://eogdata.mines.edu/files/vnf_license_agreement_form.pdf"
          target="_blank"
          rel="noreferrer"
        >
          here
        </a>
        .
      </Typography>
      <Typography variant="body2" mb={2}>
        Commercial users can gain interim access to the data with this license agreement available{' '}
        <a
          href="https://eogdata.mines.edu/files/vnf_license_agreement_interim_form.pdf"
          target="_blank"
          rel="noreferrer"
        >
          here
        </a>
        .
      </Typography>
      <Typography variant="body2">
        Oil & Gas Climate Initiative (OGCI) members please contact EOG directly to request for
        access.
      </Typography>
    </>
  );
}
