import PropTypes from 'prop-types';
import { Typography, ListItemButton, ListItemIcon, ListItemText } from '@mui/material';
import { IconLogin } from '@tabler/icons';

import useConfig from 'hooks/useConfig';

export default function LoginMenuOption({ onClick }) {
  const { borderRadius } = useConfig();
  return (
    <ListItemButton sx={{ borderRadius: `${borderRadius}px` }} onClick={onClick}>
      <ListItemIcon>
        <IconLogin stroke={1.5} size="20px" />
      </ListItemIcon>
      <ListItemText primary={<Typography variant="body2">Login</Typography>} />
    </ListItemButton>
  );
}

LoginMenuOption.propTypes = {
  onClick: PropTypes.func
};
