import PropTypes from 'prop-types';
import { Button, Grid, Box, Typography } from '@mui/material';

import AnimateButton from 'ui-component/extended/AnimateButton';

export default function MapLegend({ onCancel }) {
  return (
    <Box
      style={{
        height: '100%',
        padding: '25px',
        display: 'flex',
        flexDirection: 'column',
        justifyContent: 'space-between'
      }}
    >
      <Typography variant="h3">Map Legend</Typography>
      <Grid container spacing={1}>
        <Grid container item xs={6} direction="column">
          <img
            src="resources/images/maplegend/multiyear_list.png"
            alt="vnf multiyear"
            style={{ width: '70%' }}
          />
          <img
            src="resources/images/maplegend/multiyear_temp.png"
            alt="vnf multiyear"
            style={{ width: '70%' }}
          />
        </Grid>
        <Grid container item xs={6} direction="column">
          <img
            src="resources/images/maplegend/catalog_list.png"
            alt="vnf"
            style={{ width: '70%' }}
          />
          <img
            src="resources/images/maplegend/catalog_temp.png"
            alt="vnf"
            style={{ width: '70%' }}
          />
        </Grid>
      </Grid>
      {/* <Grid item>
        <AnimateButton>
          <Button variant="outlined" type="reset" onClick={onCancel}>
            Close
          </Button>
        </AnimateButton>
      </Grid> */}
      <Grid item xs={12}>
        <Grid
          container
          direction="row"
          alignItems="center"
          justifyContent="space-around"
          spacing={2}
        >
          <Grid item>
            <AnimateButton>
              <Button variant="outlined" type="reset" onClick={onCancel}>
                Close
              </Button>
            </AnimateButton>
          </Grid>
        </Grid>
      </Grid>
    </Box>
  );
}

MapLegend.propTypes = {
  onCancel: PropTypes.func
};
