import PropTypes from 'prop-types';
import { Box, Modal } from '@mui/material';
import styled from '@emotion/styled';

import MapLegend from './MapLegend';
import { useState } from 'react';

const height = 680;
const width = 600;

const ModalContent = styled(Box)`
  position: absolute;
  top: calc(50vh - ${height / 2}px);
  left: calc(50vw - ${width / 2}px);
  width: ${width}px;
  height: ${height}px;
  background: white;
  border-radius: 15px;
  outline: none;
`;

export default function MapLegendModal({ MapLegendButton }) {
  const [open, setOpen] = useState(false);

  const handleOpen = () => setOpen(true);
  const handleClose = () => setOpen(false);

  return (
    <>
      <MapLegendButton onClick={handleOpen} />
      <Modal open={open} onClose={(e, reason) => reason !== 'backdropClick' && handleClose}>
        <ModalContent>
          <MapLegend onCancel={handleClose} />
        </ModalContent>
      </Modal>
    </>
  );
}

MapLegendModal.propTypes = {
  MapLegendButton: PropTypes.func
};
