import { Stack, IconButton, Typography } from '@mui/material';
import PropTypes from 'prop-types';

// import SquareIcon from '@mui/icons-material/Square';
import HorizontalRuleIcon from '@mui/icons-material/HorizontalRule';
import FiberManualRecordIcon from '@mui/icons-material/FiberManualRecord';
import { IconDots, IconMinusVertical } from '@tabler/icons';

export default function Legend({ chartData }) {
  if (chartData === null) {
    return <></>;
  }
  let { averageTemparature } = chartData;
  averageTemparature = averageTemparature ? averageTemparature.toFixed(2) : averageTemparature;
  return (
    <Stack justifyContent="center" direction="row" alignItems="flex-start" spacing={1}>
      <IconButton aria-label="upload picture" component="label">
        <IconDots />
        <Typography variant="h4" component="h2">
          Tavg={averageTemparature}
        </Typography>
      </IconButton>
      <IconButton aria-label="upload picture" component="label">
        <FiberManualRecordIcon htmlColor="#0f1ef5" />
        <Typography variant="h4" component="h2">
          Detection
        </Typography>
      </IconButton>
      <IconButton aria-label="upload picture" component="label">
        <IconMinusVertical width="26" height="26" strokeWidth="1" />
        <Typography variant="h4" component="h2">
          Detection, no T
        </Typography>
      </IconButton>
      <IconButton aria-label="upload picture" component="label">
        <HorizontalRuleIcon style={{ transform: 'rotate(-0.25turn)' }} />
        <Typography variant="h4" component="h2">
          No detection
        </Typography>
      </IconButton>
    </Stack>
  );
}

Legend.propTypes = {
  chartData: PropTypes.object
};
