import PropTypes from 'prop-types';
import { useTheme } from '@mui/material/styles';
import { Card, CardContent, Grid, Typography } from '@mui/material';
import { IconChartInfographic } from '@tabler/icons';

export default function VIIRSDisableEnableButton({ onClick }) {
  const theme = useTheme();

  const enableColor = {
    color: '#fafafa'
  };

  const enableBackgroundColor = {
    background: theme.palette.primary.main,
    position: 'relative',
    color: '#fff',
    cursor: 'pointer'
  };

  return (
    <Card onClick={onClick} sx={enableBackgroundColor}>
      <CardContent style={{ padding: '7px' }}>
        <Grid container direction="row" justifyContent="center" alignItems="center" spacing={1}>
          <Grid item sx={enableColor}>
            <IconChartInfographic />
          </Grid>
          <Grid item>
            <Typography variant="h4" align="left" sx={enableColor}>
              Open Temporal Profile
            </Typography>
          </Grid>
        </Grid>
      </CardContent>
    </Card>
  );
}

VIIRSDisableEnableButton.propTypes = {
  onClick: PropTypes.func
};
