import { AuthRoles } from 'store/slices/user';

const isAuthorized = (user, requiredAuthLevel) => {
  const { isLoggedIn, authRole } = user;
  const { level: requiredLevel } = requiredAuthLevel;
  if (isLoggedIn) {
    if (authRole.level >= requiredLevel) {
      return true;
    }
  } else if (AuthRoles.Public.level === requiredLevel) {
    return true;
  }
  return false;
};

export default isAuthorized;
