import PropTypes from 'prop-types';
import { Card, CardContent, Grid, Typography } from '@mui/material';
import { IconMessage } from '@tabler/icons';
import { useTheme } from '@mui/material/styles';

export default function IRFeedbackButton({ onClick }) {
  const theme = useTheme();
  const enableColor = {
    color: '#fafafa'
  };
  const enableBackgroundColor = {
    background: theme.palette.primary.main,
    position: 'relative',
    color: '#fff',
    cursor: 'pointer'
  };

  return (
    <Card sx={enableBackgroundColor} onClick={onClick}>
      <CardContent style={{ padding: '7px' }}>
        <Grid container direction="row" justifyContent="center" alignItems="center" spacing={1}>
          <Grid item sx={enableColor}>
            <IconMessage />
          </Grid>
          <Grid item>
            <Typography variant="h4" align="left" sx={enableColor}>
              IR Emitter Feedback
            </Typography>
          </Grid>
        </Grid>
      </CardContent>
    </Card>
  );
}

IRFeedbackButton.propTypes = {
  onClick: PropTypes.func
};
