import { Autocomplete, TextField } from '@mui/material';

import { dispatch, useSelector } from 'store';
import { setCountry } from 'store/slices/filters';

export default function CountriesFilter() {
  const filterState = useSelector((state) => state.filters);
  const { countries, selectedCountry } = filterState;
  const selectCountry = (event, country) => {
    dispatch(setCountry(country));
  };

  return (
    <Autocomplete
      id="country-select"
      options={countries}
      autoHighlight
      value={selectedCountry}
      onChange={selectCountry}
      getOptionLabel={(option) => option.name}
      renderOption={(props, option) => (
        <li {...props} style={{ fontSize: 15 }}>
          {option.name}
        </li>
      )}
      renderInput={(params) => (
        <TextField
          {...params}
          label="Choose a country"
          inputProps={{
            ...params.inputProps,
            autoComplete: 'new-password' // disable autocomplete and autofill
          }}
          style={{ marginTop: '10px' }}
        />
      )}
    />
  );
}
