import { dispatch, useSelector } from 'store';
import { setDetectFreq } from 'store/slices/filters';
import RangeSliderFilter from './RangeSliderFilter';
import { detectFreqLimits } from 'config/filters/rangeFilters.json';

export default function DetectionFreqFilter() {
  const filterState = useSelector((state) => state.filters);
  const { detectFreq } = filterState;
  const { min, max } = detectFreqLimits;
  const label = 'Detection Frequency';
  const valueText = (value) => `${value}%`;

  const marks = [
    {
      value: 0,
      label: '0%'
    },
    {
      value: 25,
      label: '25%'
    },
    {
      value: 50,
      label: '50%'
    },
    {
      value: 75,
      label: '75%'
    },
    {
      value: 100,
      label: '100%'
    }
  ];

  const handleChange = (e, newValue) => dispatch(setDetectFreq(newValue));

  return (
    <RangeSliderFilter
      value={detectFreq}
      label={label}
      valueText={valueText}
      handleChange={handleChange}
      marks={marks}
      min={min}
      max={max}
    />
  );
}
