import PropTypes from 'prop-types';

import { Checkbox, FormControlLabel } from '@mui/material';

export default function FilterCheckboxComponent({ item, callback }) {
  const handleFilter = () => {
    callback(item);
  };

  return (
    <FormControlLabel
      control={<Checkbox checked={item.checked} />}
      onChange={handleFilter}
      label={item.label}
      style={{ width: '160px' }}
    />
  );
}

FilterCheckboxComponent.propTypes = {
  item: PropTypes.object,
  callback: PropTypes.func
};
