import PropTypes from 'prop-types';

import Slider from '@mui/material/Slider';

export default function RangeSliderFilter(props) {
  const { value, label, valueLabelFormat, handleChange, marks, min, max, step, scale, style } =
    props;
  const defaultStyle = { width: '75%', marginLeft: '50px' };
  const defaultScale = (x) => x;

  return (
    <Slider
      value={value}
      getAriaLabel={() => label}
      getAriaValueText={valueLabelFormat}
      valueLabelFormat={valueLabelFormat}
      onChange={handleChange}
      marks={marks || false}
      min={min}
      max={max}
      step={step || 1}
      scale={scale || defaultScale}
      style={style || defaultStyle}
      valueLabelDisplay="auto"
    />
  );
}

RangeSliderFilter.propTypes = {
  value: PropTypes.array,
  label: PropTypes.string,
  valueLabelFormat: PropTypes.func,
  handleChange: PropTypes.func,
  marks: PropTypes.array,
  min: PropTypes.number,
  max: PropTypes.number,
  step: PropTypes.number,
  scale: PropTypes.func,
  style: PropTypes.object
};
