import { Fragment } from 'react';
import { dispatch, useSelector } from 'store';
import { toggleTypeFilter } from 'store/slices/filters';

import FilterCheckboxComponent from './FilterCheckboxComponent';

export default function TypeFilter() {
  const filterState = useSelector((state) => state.filters);
  const { typeFilters } = filterState;
  const cb = (item) => {
    dispatch(toggleTypeFilter(item));
  };

  return (
    <>
      {typeFilters?.map((filter, index) => {
        if (filter.label === '') {
          return <Fragment key="type-filter-null" />;
        }
        return <FilterCheckboxComponent item={filter} callback={cb} key={`type-filter-${index}`} />;
      })}
    </>
  );
}
